# Gimp.sysconf_directory

    function sysconf_directory(): String {
        // Gjs wrapper for gimp_sysconf_directory()
    }

Returns the top directory for GIMP config files. If the environment variable GIMP3_SYSCONFDIR exists, that is used. It should be an absolute pathname. Otherwise, on Unix the compile-time defined directory is used. On Windows, the installation directory as deduced from the executable's full filename is used.

In config files such as gimprc, the string ${gimp_sysconf_dir} expands to this directory.

The returned string is owned by GIMP and must not be modified or freed. The returned string is in the encoding used for filenames by GLib, which isn't necessarily UTF-8. (On Windows it always is UTF-8.).

Returns

  The top directory for GIMP config files.